export const formatTime = (date: Date) => {
  const year = date.getFullYear()
  const month = date.getMonth() + 1
  const day = date.getDate()
  const hour = date.getHours()
  const minute = date.getMinutes()
  const second = date.getSeconds()

  return (
    [year, month, day].map(formatNumber).join('/') +
    ' ' +
    [hour, minute, second].map(formatNumber).join(':')
  )
}

export const formmaterValueZhou = (num:number,digit: number): number|string=>{
  let n = Number(num || 0)
  if(n > 100000000) return Number((n/100000000).toFixed(digit)) + '亿'
  if(n > 10000) return Number((n/10000).toFixed(digit)) + '万'
  return Number(n.toFixed(digit))
}

const formatNumber = (n: number) => {
  const s = n.toString()
  return s[1] ? s : '0' + s
}
